Package: groovy.org.codenarc.rule.convention

## [Groovy] Class ParameterReassignmentRule

- groovy.org.codenarc.rule.convention.ParameterReassignmentRule

- Checks for a method or closure parameter being reassigned to a new value within the body of the method/closure, which is a confusing, questionable practice. Use a temporary variable instead.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority